WordPress Simple Social Buttons插件安全漏洞

ang010ela 漏洞 2019年2月14日发布
Favorite收藏

导语:研究人员发现WordPress的一个非常流行的插件Simple Social Buttons存在严重漏洞,该漏洞允许非管理员用户修改WordPress的安装选项。

研究人员发现WordPress的一个非常流行的插件Simple Social Buttons存在严重漏洞,该漏洞允许非管理员用户修改WordPress的安装选项。

软件概览

WordPress的Simple Social Buttons插件是一款免费和付费插件,允许用户在侧边栏目、行内、文章内容上下、照片上、弹窗上和浮动窗口上添加社交媒体分享按钮。

根据WordPress插件库的统计,该插件有至少4万的安装量,根据WPBrigade的统计,大约有50万的下载量。

漏洞描述

该漏洞存在的原因是应用设计流不合理、缺乏权限检查,最终导致权限提升和WordPress安装过程中的非授权动作,非管理员用户甚至订阅用户类型可以修改wp_options表来修改WordPress安装选项。

从上图可以函数,函数可以根据请求中提供的JSON对象来循环,并从key值的object key和option_value来根据option_name更新所有选项,在这个过程中并不检查当前用户是否有权限管理选项或option_name是否属于该插件。

结论

如果用户正在使用WordPress Simple Social Buttons插件,应尽快更新到最新版本。该漏洞影响该插件的2.0.4之后及2.0.22之前版本。2019年2月8日该漏洞的补丁已经发布。

本文翻译自:https://www.webarxsecurity.com/wordpress-plugin-simple-social-buttons/如若转载,请注明原文地址: https://www.4hou.com/vulnerable/16147.html
点赞 5
  • 分享至
取消

感谢您的支持,我会继续努力的!

扫码支持

打开微信扫一扫后点击右上角即可分享哟

发表评论